[ARVADOS-DEV] updated: 2e7d59676bf6098d0c3f277e450ffd38a0bf938d

git at public.curoverse.com git at public.curoverse.com
Tue Jul 1 11:41:43 EDT 2014


Summary of changes:
 jenkins/run-docker-tests.sh | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100755 jenkins/run-docker-tests.sh

       via  2e7d59676bf6098d0c3f277e450ffd38a0bf938d (commit)
      from  9e4360d3c323f6d9b25055b142b87295236bc648 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 2e7d59676bf6098d0c3f277e450ffd38a0bf938d
Author: Ward Vandewege <ward at curoverse.com>
Date:   Tue Jul 1 11:41:17 2014 -0400

    Add docker test script.
    
    no issue #

diff --git a/jenkins/run-docker-tests.sh b/jenkins/run-docker-tests.sh
new file mode 100755
index 0000000..fc7f789
--- /dev/null
+++ b/jenkins/run-docker-tests.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+EXITCODE=0
+
+COLUMNS=80
+
+title () {
+  printf "\n%*s\n\n" $(((${#title}+$COLUMNS)/2)) "********** $1 **********"
+}
+
+echo $WORKSPACE
+
+# clean up existing docker containers and images
+docker.io stop $(docker.io ps -a -q)
+docker.io rm $(docker.io ps -a -q)
+docker.io rmi $(docker.io images -q)
+
+# clean up build files so we can re-build
+rm -f $WORKSPACE/docker/*-image
+
+rm -f docker/config.yml
+
+# Get test config.yml file
+cp $HOME/docker/config.yml docker/
+
+# DOCS
+title "Starting docker build"
+cd "$WORKSPACE"
+cd docker
+./build.sh
+
+ECODE=$?
+
+if [[ "$ECODE" != "0" ]]; then
+  title "!!!!!! docker BUILD FAILED !!!!!!"
+  EXITCODE=$(($EXITCODE + $ECODE))
+fi
+
+title "docker build complete"
+

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list